complexType "Account"

Namespace: | http://www.fpml.org/FpML-5/recordkeeping
Content: | complex, 1 attribute, 4 elements
Defined: | globally in fpml-shared-5-3.xsd; see XML source
Includes: | definitions of 1 attribute, 4 elements
Used: | at 1 location

Content Model Diagram

XML Representation Summary
<...
id | = | xsd:ID
| >
Content: | (accountId?, accountName?)+, accountBeneficiary?, servicingParty?
</...>

Content Model Elements (4):

  accountBeneficiary, accountId, accountName, servicingParty

All Direct / Indirect Based Elements (1):

  account

Known Usage Locations

- As direct type of elements (1):
  account

Annotation
A generic account that represents any party's account at another party. Parties may be identified by the account at another party.
XML Source (w/o annotations (6); see within schema source)

<xsd:complexType name="Account"> <xsd:sequence> <xsd:sequence maxOccurs="unbounded"> <xsd:element minOccurs="0" name="accountId" type="AccountId"/> <xsd:element minOccurs="0" name="accountName" type="AccountName"/> </xsd:sequence> <!--View Generation: Removed a degenerate choice.--> <xsd:sequence> <xsd:element minOccurs="0" name="accountBeneficiary" type="PartyReference"/> <xsd:element minOccurs="0" name="servicingParty" type="PartyReference"/> </xsd:sequence> </xsd:sequence> <xsd:attribute name="id" type="xsd:ID" use="required"/> </xsd:complexType>

Attribute Detail (all declarations; defined within this component only; 1/1)
id

  Type: | xsd:ID, predefined
  Use: | required

  The unique identifier for the account within the document.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:attribute name="id" type="xsd:ID" use="required"/>

Content Element Detail (all declarations; defined within this component only; 4/4)
accountBeneficiary

  Type: | PartyReference, empty content

  A reference to the party beneficiary of the account.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="accountBeneficiary" type="PartyReference"/>

accountId

  Type: | AccountId, simple content

  An account identifier. For example an Account number.
  Simple Content

  xsd:normalizedString

  maxLength: | 255

  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="accountId" type="AccountId"/>

accountName

  Type: | AccountName, simple content

  The name by which the account is known.
  Simple Content

  xsd:normalizedString

  maxLength: | 255

  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="accountName" type="AccountName"/>

servicingParty

  Type: | PartyReference, empty content

  A reference to the party that services/supports the account.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="servicingParty" type="PartyReference"/>

XML schema documentation generated with DocFlex/XML 1.8.6b2 using DocFlex/XML XSDDoc 2.5.1 template set. All content model diagrams generated by Altova XMLSpy via DocFlex/XML XMLSpy Integration.